<?php
/*
<id>underdog:shoutArcadeScores</id>
<name>SP-Shout Arcade Scores</name>
<version>1.2</version>
*/

if (!defined('SMF'))
	die('Hacking attempt...');

/*  Shout SMF Arcade Score  */
function shoutGameScore($score, $game, $position)
{
	global $modSettings, $smcFunc;

	/* Remove sound tag from previous shout if the shout-sounds mod is enabled */
	$checkSounds = !empty($modSettings['sp_sbSoundEnable']) ? (int) $modSettings['sp_sbSoundEnable'] : 0;
	$sound = !empty($modSettings['sp_sbSound']) ? (int) $modSettings['sp_sbSound'] : 10;
	if ($checkSounds)
	{
		$removeSound = false;
		$shoutid = 0;
		$result1 = $smcFunc['db_query']('', "SELECT body, id_shout FROM {db_prefix}sp_shouts ORDER BY id_shout DESC LIMIT 1");
		while ($val = $smcFunc['db_fetch_assoc']($result1))
		{
			$removeSound = str_replace('<script type="text/javascript">function spSound(){var beep = document.getElementById("beep");beep.play('.$sound.');}</script><object id="beep" type="application/x-shockwave-flash" data="Themes/default/images/sp/shout_sounds.swf" width="0" height="0"><param name="movie" value="Themes/default/images/sp/shout_sounds.swf" /><param name="FlashVars" value="onLoad=spSound" /></object>', '', $val['body']);
			$shoutid = (int)$val['id_shout'];
		}
		$smcFunc['db_free_result']($result1);

		if ($shoutid > 0)
			$request = $smcFunc['db_query']('', 'UPDATE {db_prefix}sp_shouts SET body = {string:change} WHERE id_shout = {int:shout}',array('shout' => $shoutid,'change' => $removeSound,));
	}

	/* Score variable to 2 decimal places in comma format */
	$score['score'] = str_replace('.00', '', (number_format($score['score'],2, '.', '')));

	if ((!empty($modSettings['sp_shout_score'])) && $modSettings['sp_shout_score'])
		shoutSideGameScore($score, $game, $position);
	else
		shoutTopGameScore($score, $game, $position);
}

/* Top/Bottom block  */
function shoutTopGameScore($score, $game, $position)
{
	global $txt, $context,$scripturl, $boardurl, $modSettings;
	loadLanguage('SportalShoutScore');
	$shout_id = !empty($modSettings['sp_shoutbox_score']) ? (int) $modSettings['sp_shoutbox_score'] : 1;
	$context['SPortal']['shoutbox'] = sportal_get_shoutbox($shout_id, true);

	if (empty($context['SPortal']['shoutbox']))
		return;

	$thumb = '<img src="' . (!empty($game['thumbnail_small']) ? $game['thumbnail_small'] : (!empty($game['thumbnail']) ? $game['thumbnail'] : false)) . '" alt="" title="'. $game['name'] .'" height="25" width="25" />&nbsp;';
	$trophy = '';
	if((int)$position > 0 && (int)$position < 4)
		$trophy = '&nbsp;&nbsp;&nbsp;<img src="'. $boardurl.'/Themes/default/images/arc_icons/'. $position .'.gif" alt="" title="Trophy" />';

	$shoutit = '<i><strong>&nbsp;'. $txt['shoutBestScore'] .'</strong></i>&nbsp;&nbsp;'. $thumb .'<a href="' . $scripturl . '?action=arcade;sa=play;game='.$game['id'] . '">&nbsp;' . $game['name'] . '</a>&nbsp;<i><strong>'. $txt['shoutHighScore'] . '&nbsp;' . $score['score'] .'</strong></i>' . $trophy;
	if ($position == 1)
		$shoutit = '<i><strong>&nbsp;'. $txt['shoutChampScore'] .'</strong></i>&nbsp;&nbsp;'. $thumb .'<a href="' . $scripturl . '?action=arcade;sa=play;game='.$game['id'] . '">&nbsp;' . $game['name'] . '</a>&nbsp;<i><strong>'. $txt['shoutHighScore'] . '&nbsp;' . $score['score'] .'</strong></i>' . $trophy;

	/* Add audio tag if the shout-sounds mod is enabled */
	$checkSounds = !empty($modSettings['sp_sbSoundEnable']) ? (int) $modSettings['sp_sbSoundEnable'] : 0;
	$sound = !empty($modSettings['sp_sbSound']) ? (int) $modSettings['sp_sbSound'] : 10;
	if ($checkSounds)
		$shoutit .= '<script type="text/javascript">function spSound(){var beep = document.getElementById("beep");beep.play('.$sound.');}</script><object id="beep" type="application/x-shockwave-flash" data="Themes/default/images/sp/shout_sounds.swf" width="0" height="0"><param name="movie" value="Themes/default/images/sp/shout_sounds.swf" /><param name="FlashVars" value="onLoad=spSound" /></object>';

	sportal_create_shout($context['SPortal']['shoutbox'], $shoutit);
	echo '
	<script language="Javascript" type="text/javascript"><!-- // --><![CDATA[
	sp_submit_shout(', $shout_id, ', \'', $context['session_var'], '\', \'', $context['session_id'], '\');
	// ]]></script>';
}

/*  Side block  */
function shoutSideGameScore($score, $game, $position)
{
	global $txt, $context,$scripturl, $boardurl, $modSettings;

	loadLanguage('SportalShoutScore');
	$shout_id = !empty($modSettings['sp_shoutbox_score']) ? (int) $modSettings['sp_shoutbox_score'] : 1;
	$context['SPortal']['shoutbox'] = sportal_get_shoutbox($shout_id, true);
	if (empty($context['SPortal']['shoutbox']))
		return;

	$gameName = $game['name'];
	if (strlen($game['name']) >= 23)
		$gameName = substr($game['name'],0,22) . '...';

	$trophy = '';
	if((int)$position > 0 && (int)$position < 4)
		$trophy = '&nbsp;&nbsp;&nbsp;<img src="'. $boardurl.'/Themes/default/images/arc_icons/'. $position .'.gif" alt="" title="Trophy" />';

	$shoutit = $trophy . '&#013;<i><strong>&nbsp;'. $txt['shoutBestScore'] .'</strong></i>&#013;&nbsp;<a href="' . $scripturl . '?action=arcade;sa=play;game='. $game['id'] . '">' . $gameName . '</a>&#013;&nbsp;<i><strong>'.$txt['shoutHighScore'] .'&nbsp;' . $score['score'] .'</strong></i>';
	if ($position == 1)
		$shoutit = $trophy . '&#013;<i><strong>&nbsp;'. $txt['shoutChampScore'] . '</strong></i>&#013;&nbsp;<a href="' . $scripturl . '?action=arcade;sa=play;game='. $game['id'] . '">' . $gameName . '</a>&#013;&nbsp;<i><strong>'. $txt['shoutHighScore'] .'&nbsp;' . $score['score'] .'</strong></i>';

	/* Add audio tag if the shout-sounds mod is enabled */
	$checkSounds = !empty($modSettings['sp_sbSoundEnable']) ? (int) $modSettings['sp_sbSoundEnable'] : 0;
	$sound = !empty($modSettings['sp_sbSound']) ? (int) $modSettings['sp_sbSound'] : 10;
	if ($checkSounds)
		$shoutit .= '<script type="text/javascript">function spSound(){var beep = document.getElementById("beep");beep.play('.$sound.');}</script><object id="beep" type="application/x-shockwave-flash" data="Themes/default/images/sp/shout_sounds.swf" width="0" height="0"><param name="movie" value="Themes/default/images/sp/shout_sounds.swf" /><param name="FlashVars" value="onLoad=spSound" /></object>';

	sportal_create_shout($context['SPortal']['shoutbox'], $shoutit);
	echo '
	<script language="Javascript" type="text/javascript"><!-- // --><![CDATA[
	sp_submit_shout(', $shout_id, ', \'', $context['session_var'], '\', \'', $context['session_id'], '\');
	// ]]></script>';
}
?>